#include "MotorController.h"

MotorController::MotorController() {
  signalPin = 3;
  directionPin = 2;
  speedMapping = ((200*16)/60); //converts from RPM's to step commands in hertz
  pinMode(signalPin, OUTPUT);
  pinMode(directionPin, OUTPUT);
}

void MotorController::setSpeed(int speedSetpoint, int dir) {
  Serial.println("executing motor controller");
  digitalWrite(directionPin, dir);
  tone(signalPin, speedSetpoint*speedMapping);
}




