#include "buttons.h"

Buttons::Buttons() { // default constructor
    hourUpStatePrevious = LOW;
    minuteUpStatePrevious = LOW;
    lightModeStatePrevious = LOW;
    dimmingModeStatePrevious = LOW;
    secondResetStatePrevious = LOW;
    hrUpPin = 35;
    minUpPin = 34;
    lightModePin = 33;
    dimmingModePin = 31;
    secondResetPin = 32;
}

bool Buttons::minuteUpPressed() {
  int buttonState = digitalRead(minUpPin);
  if(minuteUpStatePrevious == LOW && buttonState == HIGH) {
    minuteUpStatePrevious = buttonState;
    return true;
  }
  else {
    minuteUpStatePrevious = buttonState;
    return false;
  }
}

bool Buttons::hourUpPressed() {
  int buttonState = digitalRead(hrUpPin);
  if(hourUpStatePrevious == LOW && buttonState == HIGH) {
    hourUpStatePrevious = buttonState;
    return true;
  }
  else {
    hourUpStatePrevious = buttonState;
    return false;
  }
}

bool Buttons::lightModePressed() {
  int buttonState = digitalRead(lightModePin);
  if(lightModeStatePrevious == LOW && buttonState == HIGH) {
    lightModeStatePrevious = buttonState;
    return true;
  }
  else {
    lightModeStatePrevious = buttonState;
    return false;
  }
}

bool Buttons::dimmingModePressed() {
  int buttonState = digitalRead(dimmingModePin);
  if(dimmingModeStatePrevious == LOW && buttonState == HIGH) {
    dimmingModeStatePrevious = buttonState;
    return true;
  }
  else {
    dimmingModeStatePrevious = buttonState;
    return false;
  }
}

bool Buttons::secondResetPressed() {
  int buttonState = digitalRead(secondResetPin);
  if(secondResetStatePrevious == LOW && buttonState == HIGH) {
    secondResetStatePrevious = buttonState;
    return true;
  }
  else {
    secondResetStatePrevious = buttonState;
    return false;
  }
}



