#ifndef buttons_h
#define buttons_h

#include <Arduino.h>

class Buttons {
  private:
    bool hourUpStatePrevious;
    bool minuteUpStatePrevious;
    bool lightModeStatePrevious;
    bool dimmingModeStatePrevious;
    bool secondResetStatePrevious;
    int hrUpPin;
    int minUpPin;
    int lightModePin;
    int dimmingModePin;
    int secondResetPin;
  public:
    // constructor
    Buttons(void);
    bool minuteUpPressed();
    bool hourUpPressed(); 
    bool lightModePressed();
    bool dimmingModePressed();
    bool secondResetPressed();
    // extra function
};

#endif


