#ifndef Globals_h
#define Globals_h

//add all include files
#include "buttons.h"
#include "rtc.h"
#include "DisplayProcesser.h"
#include "MotorController.h"
#include <Arduino.h>

//Firmware Version
#define FIRMWARE_VERSION "Firmware Version: Rev C"

//Real Time Clock Driver
extern RTC rtc;
extern unsigned long previousFetchTime;
extern int fetchTimeIntervol;

//Button Handler
extern Buttons buttonDriver;
 
//Pin Definitionss for Encoder
extern const char fmotor_address;

//Motor Driver Module
extern MotorController motorController;


//Led Display Module
extern DisplayProcessor displayProcessor;

#endif
