#ifndef RTC_H
#define RTC_H

#include <Arduino.h>
#include <Wire.h>

class RTC {
	private: 
    char rtc_address;
		int currentSecond;
		int currentMinute;
		int currentHour;
		byte secondRegister;
		byte minuteRegister;
		byte hourRegister;
		byte dayRegister;
		byte dateRegister;
		byte monthRegister;
		byte yearRegister;
		byte controlRegister;

	public:	
		RTC();
		int getSecond();
		int getMinute();
		int getHour();
		void resetSecond();
		void setMinute(int minute);
		void setHour(int hour);
    void updateTime();
};

#endif
